# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define dict_format_version	2.4.2

Summary:	JMDICT (Japanese -> English dictionary) converted to StarDict 2
Name:		stardict-jmdict-ja-en
Version:	2.4.2
Release:	alt1_15
License:	General Dictionary Licence
Group:		Text tools
URL:		http://stardict.sourceforge.net/
BuildArch:	noarch

Source0:	http://prdownloads.sourceforge.net/stardict/%{name}-%{version}.tar.bz2
Source1:	general-dictionary-licence.html.bz2

Provides:	stardict-dictionary = %{dict_format_version}
Requires:	stardict stardict-plugin-spell
Source44: import.info

%description
The JMdict (Japanese-Multilingual Dictionary) project began in 1999 as an
offshoot of the EDICT Japanese-English Electronic Dictionary project. It
involved a major rebuild of the main files, with a more complex structure
using XML.
This package contains JMDICT database (Japanese -> English) converted
into StarDict 2 format.

Please refer to http://www.csse.monash.edu.au/~jwb/j_jmdict.html
for more info.

%prep
%setup -q
bzip2 -dc %SOURCE1 > general-dictionary-licence.html

%build

%install
mkdir -p %{buildroot}%{_datadir}/stardict/dic
install -m 0644 * %{buildroot}%{_datadir}/stardict/dic

%files
%doc general-dictionary-licence.html
%{_datadir}/stardict/dic/*





%changelog
* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 2.4.2-alt1_15
- update by mgaimport

* Sun Jun 05 2016 Igor Vlasenko <viy@altlinux.ru> 2.4.2-alt1_14
- converted for ALT Linux by srpmconvert tools

